%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ccnet
Version:	5.1.1
Release:	%mkrel 1
Summary:	Networking library for Seafile
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/ccnet
Source0:	https://github.com/haiwen/ccnet/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	lib64glib2.0-devel
BuildRequires:	lib64jansson-devel
BuildRequires:	lib64sqlite3-devel
BuildRequires:	lib64openssl-devel
BuildRequires:	lib64event-devel
BuildRequires:	lib64uuid-devel
BuildRequires:	lib64searpc-devel
BuildRequires:	lib64python-devel
BuildRequires:	vala >= 0.26

Requires:	pythonegg(2)(ccnet) = %{version}-%{release}

%description
Ccnet is a framework for writing networked applications in C.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Ccnet is a framework for writing networked applications in C.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	pythonegg(2)(ccnet) = %{version}-%{release}

%description -n	python-%{name}
Ccnet is a framework for writing networked applications in C.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q

sed -i -e /\(DESTDIR\)/d libccnet.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--disable-compile-demo
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc HACKING README.markdown COPYRIGHT
%{_bindir}/%{name}*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%doc HACKING README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python-%{name}
%doc HACKING README.markdown
%{python2_sitearch}/%{name}/


%changelog
* Sat May 07 2016 bb <bb> 5.1.1-1pclos2016
- import

